package io.renren.modules.app.dao;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 公共设施收益分摊
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface GgsssyftDao extends BaseMapper<YwpzEntity> {
	// 下拉框
	List<XlkEntity> selectwygs();

	List<XlkEntity> selectyh();

	List<XlkEntity> selectjsfs();

	List<XlkEntity> selectsyxm();

	List<XlkEntity> selectxq();

	List<XlkEntity> selectxm(String id);

	List<XlkEntity> selectlz(String id);

	List<XlkEntity> selecthzy();

	List<FwxxEntity> queryByPage(ZhxxEntity zhxxEntity);

	List<YwpzEntity> queryByPageC(YwpzEntity ywpzEntity);

	// 查询所有分摊的单据信息
	List<XlkEntity> selectftdj();

	// insert
	void insertyjftmx(YwpzEntity ywpzEntity);

	void insertywpz(YwpzEntity ywpzEntity);

	YwpzEntity selectdj(String id);

	List<XlkEntity> selectdjfw(String id);

	void deleteywpzmx(String id);

	void deleteywpz(String id);

	int selectywpzmxcount(String id);

	void deletemxfw(DhbmyjEntity dhbmyjEntity);

	List<DhbmyjEntity> selectshengyumx(String id);

	void updateftje(DhbmyjEntity dhbmyjEntity);

	List<DhbmyjEntity> selectftmj(String id);

	void updatemjft(DhbmyjEntity dhbmyjEntity);

	void updatefwxx(FwxxEntity fwxxEntity);

	FwxxEntity selectfwxxggsy(String id);

	ZhxxEntity selectzhxxggsy(String id);

	void updatezhxx(ZhxxEntity zhxxEntity);

	List<YwpzEntity> selectywpzmxbydjbh(String id);

	List<XlkEntity> selectzhbywy(String id);

	String queryByCount(String date);

	XlkEntity selectdwbm(String id);

	List<XlkEntity> selectkm(@Param(value = "_pt") String _pt);

	List<XlkEntity> selectkm2(@Param(value = "_pt") String _pt);

	List<XlkEntity> selectkm3(@Param(value = "_pt") String _pt);

	XlkEntity selectkmmc(String id);

	List<XlkEntity> selectkm22(@Param(value = "_pt") String _pt);
}
